×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    Jul 2006
    Posts
    25

    Question CLDC-1.0 and CLDC-1.1 in devices

    Hi, All!

    I do not use possibility CLDC-1.1 in application.

    Is it correct to specify a MicroEdition-Configuration: CLDC-1.0 in the jad/jar if the device supports CLDC-1.1?

    I have the same question for a MicroEdition-Profile..

    p.s.
    If I start a midlet (CLDC-1.0) in emulator S60_2nd_FP3_MIDP_SDK - then I see WARNING:

    Starting emulator in execution mode
    WARNING: Attribute value for MicroEdition-Configuration defined in JAR manifest is not supported.
    Emulator command: C:\S60\devices\S60_2nd_FP3_MIDP_SDK\bin\Epoc32\release\winscw\udeb\systemams.exe -vm hmidp8.......
    .................................
    Last edited by bit5@mail.ru; 2009-03-27 at 18:07.

  2. #2
    Super Contributor
    Join Date
    Jun 2003
    Location
    Cheshire, UK
    Posts
    7,395

    Re: CLDC-1.0 and CLDC-1.1 in devices

    Привет!

    If you specify CLDC-1.0, your MIDlet will work on a CLDC-1.1 device.

    Also, MIDP-1.0 works on a MIDP-2.0 device.

    Do not specify CLDC-1.0 if you need CLDC-1.1.

    Your emulator problem... I don't understand. Check that the value for MicroEdition-Configuration in the JAR's MANIFEST is "CLDC-1.0" (no extra spaces). Sometimes, a space at the end of the line can stop it working. If the Configuration is in the JAD also, then make sure the JAD and MANIFEST match.

    Cheers,
    Graham.

  3. #3
    Registered User
    Join Date
    Jul 2006
    Posts
    25

    Re: CLDC-1.0 and CLDC-1.1 in devices

    Quote Originally Posted by grahamhughes View Post
    Привет!

    If you specify CLDC-1.0, your MIDlet will work on a CLDC-1.1 device.

    Also, MIDP-1.0 works on a MIDP-2.0 device.

    Do not specify CLDC-1.0 if you need CLDC-1.1.

    Your emulator problem... I don't understand. Check that the value for MicroEdition-Configuration in the JAR's MANIFEST is "CLDC-1.0" (no extra spaces). Sometimes, a space at the end of the line can stop it working. If the Configuration is in the JAD also, then make sure the JAD and MANIFEST match.

    Cheers,
    Graham.
    Привет!

    thanks you very much!

Similar Threads

  1. how upgrade CLDC 1.0 to CLDC 1.1
    By actarusse in forum Mobile Java General
    Replies: 1
    Last Post: 2009-02-26, 12:06
  2. version conflict CLDC 1.0 / 1.1
    By saaransh in forum Mobile Java General
    Replies: 5
    Last Post: 2008-08-15, 06:43
  3. Upgrade CLDC 1.0 to CLDC 1.1
    By shukur in forum Mobile Java Tools & SDKs
    Replies: 3
    Last Post: 2006-08-17, 13:33
  4. CLDC 1.0 and CLDC 1.1
    By prashant_sp in forum Mobile Java General
    Replies: 2
    Last Post: 2006-05-10, 18:58
  5. CLDC 1.0 & CLDC 1.1 support together
    By devil_82@msn.com in forum Mobile Java General
    Replies: 0
    Last Post: 2005-04-28, 14:54

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •